Index: modules/uoa-claims -demo/claims-demo/uoa-claims-demo.iml
===================================================================
--- modules/uoa-claims -demo/claims-demo/uoa-claims-demo.iml	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/uoa-claims-demo.iml	(revision 41791)
@@ -4,17 +4,14 @@
     <output url="file://$MODULE_DIR$/target/classes" />
     <output-test url="file://$MODULE_DIR$/target/test-classes" />
     <content url="file://$MODULE_DIR$">
+      <sourceFolder url="file://$MODULE_DIR$/src/test/resources" type="java-test-resource" />
       <sourceFolder url="file://$MODULE_DIR$/src/main/java" isTestSource="false" />
+      <sourceFolder url="file://$MODULE_DIR$/src/test/java" isTestSource="true" />
       <sourceFolder url="file://$MODULE_DIR$/src/main/resources" type="java-resource" />
-      <sourceFolder url="file://$MODULE_DIR$/src/test/java" isTestSource="true" />
       <excludeFolder url="file://$MODULE_DIR$/target" />
     </content>
     <orderEntry type="inheritedJdk" />
     <orderEntry type="sourceFolder" forTests="false" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-cql-utils:1.0.1" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:dnet-data-provision-rmi:1.0.0" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-blackboard-common:1.0.0" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-notifications-common:1.1.0" level="project" />
     <orderEntry type="library" name="Maven: junit:junit:4.8.2" level="project" />
     <orderEntry type="library" name="Maven: eu.dnetlib:uoa-commons:1.2.0-SNAPSHOT" level="project" />
     <orderEntry type="library" name="Maven: com.sun.xml.bind:jaxb-core:2.2.7" level="project" />
@@ -26,22 +23,16 @@
     <orderEntry type="library" name="Maven: org.slf4j:slf4j-api:1.6.6" level="project" />
     <orderEntry type="library" name="Maven: com.unboundid:unboundid-ldapsdk:1.1.3" level="project" />
     <orderEntry type="library" name="Maven: apache:commons-logging:1.1.1" level="project" />
+    <orderEntry type="library" name="Maven: log4j:log4j:1.2.17" level="project" />
     <orderEntry type="library" name="Maven: eu.dnetlib:uoa-api:1.2.0-SNAPSHOT" level="project" />
     <orderEntry type="library" name="Maven: eu.dnetlib:dnet-actionmanager-api:3.0.0" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:uoa-domain:1.2.0-SNAPSHOT" level="project" />
-    <orderEntry type="library" name="Maven: org.hibernate:hibernate-entitymanager:3.5.6-Final" level="project" />
-    <orderEntry type="library" name="Maven: org.hibernate:hibernate-core:3.5.6-Final" level="project" />
-    <orderEntry type="library" name="Maven: antlr:antlr:2.7.6" level="project" />
-    <orderEntry type="library" name="Maven: commons-collections:commons-collections:3.1" level="project" />
-    <orderEntry type="library" name="Maven: javax.transaction:jta:1.1" level="project" />
-    <orderEntry type="library" name="Maven: cglib:cglib:2.2" level="project" />
-    <orderEntry type="library" name="Maven: javassist:javassist:3.9.0.GA" level="project" />
-    <orderEntry type="library" name="Maven: org.hibernate.javax.persistence:hibernate-jpa-2.0-api:1.0.0.Final" level="project" />
-    <orderEntry type="library" name="Maven: org.hibernate:hibernate-annotations:3.5.6-Final" level="project" />
-    <orderEntry type="library" name="Maven: org.hibernate:hibernate-commons-annotations:3.2.0.Final" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-context-support:4.0.0.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-context:4.0.0.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-expression:4.0.0.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-rmi-api:2.3.0" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-api:2.7.8" level="project" />
+    <orderEntry type="library" name="Maven: org.codehaus.woodstox:woodstox-core-asl:4.2.0" level="project" />
+    <orderEntry type="library" name="Maven: org.codehaus.woodstox:stax2-api:3.1.1" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.ws.xmlschema:xmlschema-core:2.0.3" level="project" />
+    <orderEntry type="library" name="Maven: org.apache.geronimo.specs:geronimo-javamail_1.4_spec:1.7.1" level="project" />
+    <orderEntry type="library" name="Maven: wsdl4j:wsdl4j:1.6.3" level="project" />
     <orderEntry type="library" name="Maven: eu.dnetlib:cnr-misc-utils:1.0.0" level="project" />
     <orderEntry type="library" name="Maven: commons-lang:commons-lang:2.6" level="project" />
     <orderEntry type="library" name="Maven: commons-codec:commons-codec:1.8" level="project" />
@@ -53,17 +44,21 @@
     <orderEntry type="library" name="Maven: jgrapht:jgrapht:0.7.2" level="project" />
     <orderEntry type="library" name="Maven: net.sf.ehcache:ehcache:2.8.0" level="project" />
     <orderEntry type="library" name="Maven: com.google.guava:guava:18.0" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-spring-utils:1.0.0" level="project" />
-    <orderEntry type="library" name="Maven: commons-io:commons-io:2.4" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-aop:4.0.0.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-web:4.0.0.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-webmvc:4.0.0.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: jparsec:jparsec:2.0" level="project" />
-    <orderEntry type="library" name="Maven: org.antlr:stringtemplate:3.2" level="project" />
-    <orderEntry type="library" name="Maven: org.antlr:antlr:2.7.7" level="project" />
-    <orderEntry type="library" name="Maven: runcc:runcc:0.7" level="project" />
-    <orderEntry type="library" name="Maven: commons-dbcp:commons-dbcp:1.4" level="project" />
-    <orderEntry type="library" name="Maven: commons-pool:commons-pool:1.5.4" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-test:4.0.0.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-core:4.0.0.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: commons-logging:commons-logging:1.1.1" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:uoa-domain:1.2.0-SNAPSHOT" level="project" />
+    <orderEntry type="library" name="Maven: org.hibernate:hibernate-entitymanager:3.5.6-Final" level="project" />
+    <orderEntry type="library" name="Maven: org.hibernate:hibernate-core:3.5.6-Final" level="project" />
+    <orderEntry type="library" name="Maven: antlr:antlr:2.7.6" level="project" />
+    <orderEntry type="library" name="Maven: commons-collections:commons-collections:3.1" level="project" />
+    <orderEntry type="library" name="Maven: javax.transaction:jta:1.1" level="project" />
+    <orderEntry type="library" name="Maven: org.hibernate:hibernate-annotations:3.5.6-Final" level="project" />
+    <orderEntry type="library" name="Maven: org.hibernate:hibernate-commons-annotations:3.2.0.Final" level="project" />
+    <orderEntry type="library" name="Maven: org.hibernate.javax.persistence:hibernate-jpa-2.0-api:1.0.0.Final" level="project" />
+    <orderEntry type="library" name="Maven: cglib:cglib:2.2" level="project" />
+    <orderEntry type="library" name="Maven: asm:asm:3.3.1" level="project" />
+    <orderEntry type="library" name="Maven: javassist:javassist:3.9.0.GA" level="project" />
     <orderEntry type="library" name="Maven: com.google.gwt:gwt-user:2.7.0" level="project" />
     <orderEntry type="library" name="Maven: javax.validation:validation-api:1.0.0.GA" level="project" />
     <orderEntry type="library" name="Maven: javax.validation:validation-api:sources:1.0.0.GA" level="project" />
@@ -74,7 +69,6 @@
     <orderEntry type="library" name="Maven: apache:oro:2.0.8" level="project" />
     <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-frontend-jaxws:2.7.8" level="project" />
     <orderEntry type="library" name="Maven: xml-resolver:xml-resolver:1.2" level="project" />
-    <orderEntry type="library" name="Maven: asm:asm:3.3.1" level="project" />
     <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-core:2.7.8" level="project" />
     <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-bindings-soap:2.7.8" level="project" />
     <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-databinding-jaxb:2.7.8" level="project" />
@@ -84,45 +78,49 @@
     <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-ws-addr:2.7.8" level="project" />
     <orderEntry type="library" name="Maven: org.apache.cxf:cxf-rt-ws-policy:2.7.8" level="project" />
     <orderEntry type="library" name="Maven: org.apache.neethi:neethi:3.0.2" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-context:4.0.0.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-aop:4.0.0.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: aopalliance:aopalliance:1.0" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-beans:4.0.0.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-expression:4.0.0.RELEASE" level="project" />
     <orderEntry type="library" name="Maven: eu.dnetlib:cnr-service-common:1.0.0" level="project" />
+    <orderEntry type="library" name="Maven: org.antlr:stringtemplate:3.2" level="project" />
+    <orderEntry type="library" name="Maven: org.antlr:antlr:2.7.7" level="project" />
     <orderEntry type="library" name="Maven: opensymphony:quartz:1.6.6" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-tx:4.0.0.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-spring-utils:1.0.0" level="project" />
+    <orderEntry type="library" name="Maven: commons-io:commons-io:2.4" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-web:4.0.0.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-webmvc:4.0.0.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: jparsec:jparsec:2.0" level="project" />
+    <orderEntry type="library" name="Maven: runcc:runcc:0.7" level="project" />
+    <orderEntry type="library" name="Maven: org.springframework:spring-context-support:4.0.0.RELEASE" level="project" />
+    <orderEntry type="library" name="Maven: commons-dbcp:commons-dbcp:1.4" level="project" />
+    <orderEntry type="library" name="Maven: commons-pool:commons-pool:1.5.4" level="project" />
     <orderEntry type="library" name="Maven: eu.dnetlib:uoa-clients:1.2.0-SNAPSHOT" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-rmi-api:2.3.0" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.cxf:cxf-api:2.7.8" level="project" />
-    <orderEntry type="library" name="Maven: org.codehaus.woodstox:woodstox-core-asl:4.2.0" level="project" />
-    <orderEntry type="library" name="Maven: org.codehaus.woodstox:stax2-api:3.1.1" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.ws.xmlschema:xmlschema-core:2.0.3" level="project" />
-    <orderEntry type="library" name="Maven: org.apache.geronimo.specs:geronimo-javamail_1.4_spec:1.7.1" level="project" />
-    <orderEntry type="library" name="Maven: wsdl4j:wsdl4j:1.6.3" level="project" />
     <orderEntry type="library" name="Maven: eu.dnetlib:dnet-datasource-manager-rmi:4.0.0" level="project" />
     <orderEntry type="library" name="Maven: eu.dnetlib:cnr-enabling-database-api:1.0.0" level="project" />
     <orderEntry type="library" name="Maven: eu.dnetlib:dnet-index-client:1.1.0" level="project" />
+    <orderEntry type="library" name="Maven: com.google.code.gson:gson:2.4" level="project" />
     <orderEntry type="library" name="Maven: com.mycila:xmltool:3.3" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-cql-utils:1.0.2-SNAPSHOT" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-cql-utils:1.0.1" level="project" />
     <orderEntry type="library" name="Maven: org.apache.lucene:lucene-queryparser:4.9.0" level="project" />
     <orderEntry type="library" name="Maven: org.apache.lucene:lucene-core:4.9.0" level="project" />
     <orderEntry type="library" name="Maven: org.apache.lucene:lucene-queries:4.9.0" level="project" />
     <orderEntry type="library" name="Maven: org.apache.lucene:lucene-sandbox:4.9.0" level="project" />
     <orderEntry type="library" name="Maven: org.z3950.zing:cql-java:1.7" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:dnet-data-provision-rmi:1.0.1-SNAPSHOT" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:dnet-data-provision-rmi:1.0.0" level="project" />
     <orderEntry type="library" name="Maven: org.apache.ant:ant:1.8.2" level="project" />
     <orderEntry type="library" name="Maven: org.apache.ant:ant-launcher:1.8.2" level="project" />
     <orderEntry type="library" name="Maven: org.springframework:spring-jdbc:4.0.0.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-beans:4.0.0.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-core:4.0.0.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: commons-logging:commons-logging:1.1.1" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-tx:4.0.0.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: aopalliance:aopalliance:1.0" level="project" />
     <orderEntry type="library" scope="TEST" name="Maven: org.mockito:mockito-core:1.9.5" level="project" />
-    <orderEntry type="library" name="Maven: org.hamcrest:hamcrest-core:1.1" level="project" />
+    <orderEntry type="library" scope="TEST" name="Maven: org.hamcrest:hamcrest-core:1.1" level="project" />
     <orderEntry type="library" scope="TEST" name="Maven: org.objenesis:objenesis:1.0" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-blackboard-common:1.0.1-SNAPSHOT" level="project" />
-    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-notifications-common:1.1.1-SNAPSHOT" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-blackboard-common:1.0.0" level="project" />
+    <orderEntry type="library" name="Maven: eu.dnetlib:cnr-notifications-common:1.1.0" level="project" />
     <orderEntry type="library" name="Maven: postgresql:postgresql:9.1-901.jdbc4" level="project" />
-    <orderEntry type="library" name="Maven: com.google.code.gson:gson:2.4" level="project" />
     <orderEntry type="library" name="Maven: javax.mail:mail:1.4" level="project" />
     <orderEntry type="library" name="Maven: javax.activation:activation:1.1" level="project" />
-    <orderEntry type="library" name="Maven: org.springframework:spring-test:4.0.0.RELEASE" level="project" />
-    <orderEntry type="library" name="Maven: log4j:log4j:1.2.17" level="project" />
   </component>
-</module>
\ No newline at end of file
+</module>
+
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/handler/ProjectHandler.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/handler/ProjectHandler.java	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/handler/ProjectHandler.java	(revision 41791)
@@ -1,6 +1,6 @@
 package eu.dnetlib.data.claims.migration.handler;
 
-import eu.dnetlib.data.claims.migration.Project;
+import eu.dnetlib.data.claims.migration.entity.Project;
 import eu.dnetlib.data.claims.migration.parser.OafParser;
 import eu.dnetlib.data.claimsDemo.QueryGenerator;
 import eu.dnetlib.data.claimsDemo.SearchUtils;
@@ -26,12 +26,12 @@
     public Project fetchProjectByOaf(String oaf) throws Exception {
         return oafParser.oaf2Project(oaf);
     }
-    public String generateSaveQueryForProject(Project project){
+/*    public String generateSaveQueryForProject(Project project){
         return queryGenerator.generateInsertProjectQuery(project.getOpenaireId(),project.getName(),project.getAcronym(),project.getFunderId(),project.getFunderName(),project.getFunderShortName());
     }
     public void saveProject(Project project) throws Exception {
         sqlDAO.executePreparedQuery(generateSaveQueryForProject(project));
-    }
+    }*/
     public OafParser getOafParser() {
         return oafParser;
     }
Index: modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/ExternalParserTest.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/ExternalParserTest.java	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/ExternalParserTest.java	(revision 41791)
@@ -1,6 +1,6 @@
 package eu.dnetlib.data.claims.migration.parser;
 
-import eu.dnetlib.data.claims.migration.Result;
+import eu.dnetlib.data.claims.migration.entity.Result;
 import eu.dnetlib.data.claimsDemo.ClaimUtils;
 import org.junit.Assert;
 import org.junit.Test;
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/handler/RelationHandler.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/handler/RelationHandler.java	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/handler/RelationHandler.java	(revision 41791)
@@ -1,6 +1,6 @@
 package eu.dnetlib.data.claims.migration.handler;
 
-import eu.dnetlib.data.claims.migration.Relation;
+import eu.dnetlib.data.claims.migration.entity.Relation;
 import eu.dnetlib.data.claims.migration.parser.RelationParser;
 import eu.dnetlib.data.claimsDemo.QueryGenerator;
 import eu.dnetlib.data.claimsDemo.SqlDAO;
@@ -20,7 +20,7 @@
 
     public List<Relation> fetchAllRelations() throws Exception {
         List<Relation> relations = null;
-        ResultSet rs = sqlDAO.executePreparedQuery(queryGenerator.generateSelectRelationEnrichedWithDMFClaimsQuery(-1));
+        ResultSet rs = sqlDAO.executePreparedQuery(queryGenerator.generateSelectRelationEnrichedWithDMFClaimsQuery(50));
 //        ResultSet rs = sqlDAO.executePreparedQuery(queryGenerator.generateSelectRelationClaimByIDEnrichedWithDMFClaimsQuery(-1,"169590"));
         relations = new ArrayList<Relation>();
 
Index: modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/handler/FetchClaimHandler.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/handler/FetchClaimHandler.java	(nonexistent)
+++ modules/uoa-claims -demo/claims-demo/src/main/java/eu/dnetlib/data/claims/migration/handler/FetchClaimHandler.java	(revision 41791)
@@ -0,0 +1,136 @@
+package eu.dnetlib.data.claims.migration.handler;
+
+import eu.dnetlib.data.claims.migration.JsonldBuilder;
+import eu.dnetlib.data.claims.migration.entity.*;
+import eu.dnetlib.data.claimsDemo.ClaimUtils;
+import eu.dnetlib.data.claimsDemo.QueryGenerator;
+import eu.dnetlib.data.claimsDemo.SqlDAO;
+import org.springframework.context.ApplicationContext;
+import org.springframework.context.support.ClassPathXmlApplicationContext;
+
+import java.sql.ResultSet;
+import java.sql.SQLException;
+import java.util.ArrayList;
+import java.util.Date;
+import java.util.List;
+
+/**
+ * Created by argirok on 9/3/2016.
+ */
+public class FetchClaimHandler {
+
+    SqlDAO sqlDAO = null;
+
+    public FetchClaimHandler(){
+//        ApplicationContext context = new ClassPathXmlApplicationContext("eu/dnetlib/data/claims/migration/springContext-claimsDemo.xml");
+//        sqlDAO = context.getBean(SqlDAO.class);
+
+    }
+    public String claims2JSON(List<Claim> claims) throws Exception {
+        return JsonldBuilder.toJsonld(claims);
+    }
+
+    public List<Claim> fetchClaimsByUser(String user) throws Exception {
+        ResultSet rs = sqlDAO.executePreparedQuery(QueryGenerator.generateFetchClaimsByUser(user));
+        return fetchClaimsByResultSet(rs);
+    }
+
+    public List<Claim> fetchClaimsByDate(String dateFrom, String dataTo) throws Exception {
+        ResultSet rs = sqlDAO.executePreparedQuery(QueryGenerator.generateFetchClaimsByDate(dateFrom, dataTo));
+        return fetchClaimsByResultSet(rs);
+    }
+    public List<Claim> fetchClaimsByProject(String openaireId) throws Exception {
+        ResultSet rs = sqlDAO.executePreparedQuery(QueryGenerator.generateFetchClaimsByProject(openaireId));
+        return fetchClaimsByResultSet(rs);
+    }
+    public List<Claim> fetchClaimsByFunder(String openaireId) throws Exception {
+        ResultSet rs = sqlDAO.executePreparedQuery(QueryGenerator.generateFetchClaimsByFunder(openaireId));
+        return fetchClaimsByResultSet(rs);
+    }
+    public List<Claim> fetchClaimsByResult(String openaireId) throws Exception {
+        ResultSet rs = sqlDAO.executePreparedQuery(QueryGenerator.generateFetchClaimsByResult(openaireId));
+        return fetchClaimsByResultSet(rs);
+    }
+    public List<Claim> fetchClaimsByResultSet(ResultSet rs) throws Exception {
+        List<Claim> claims= new ArrayList<Claim>();
+        while(rs.next()) {
+            Claim claim= new Claim();
+            claims.add(claim);
+            claim.setId(rs.getString(1));
+            claim.setDate(new Date());
+            claim.setUserMail(rs.getString(3));
+            claim.setSourceType(rs.getString(4));
+            claim.setTargetType(rs.getString(5));
+            claim.setSemantics(rs.getString(6));
+            claim.setSource(buildEntity(rs,7,claim.getSourceType()));
+            claim.setTarget(buildEntity(rs,17,claim.getTargetType()));
+
+        }
+        return claims;
+    }
+
+    /**
+     *
+     * @param rs
+     * @param index
+     * @return
+     * @throws SQLException
+     */
+    private static Result buildResult(ResultSet rs, Integer index) throws SQLException {
+        Result result = new Result();
+        result.setOpenaireId(rs.getString(index));
+        result.setTitle(rs.getString(index + 1));
+        result.setResultType(rs.getString(index + 2));
+        result.setDoi(rs.getString(index + 3));
+        result.setOrcidworkid(rs.getString(index + 4));
+        result.setAccessRights(rs.getString(index + 5));
+        result.setEmbargoEndDate(rs.getString(index + 6));
+        result.setBestLicense(rs.getString(index + 7));
+        result.setExternalUrl(rs.getString(index + 8));
+        result.setCollectedFrom(rs.getString(index + 9));
+        return result;
+
+    }
+    private static Project buildProject(ResultSet rs, Integer index) throws SQLException {
+        Project project = new Project();
+        project.setOpenaireId(rs.getString(index));
+        project.setName(rs.getString(index + 1));
+        project.setAcronym(rs.getString(index + 2));
+        project.setFunderId(rs.getString(index + 3));
+        project.setFunderName(rs.getString(index + 4));
+        project.setFunderShortName(rs.getString(index + 5));
+        return project;
+
+    }
+    private static Context buildContext(ResultSet rs, Integer index) throws SQLException {
+        Context context = new Context();
+        context.setOpenaireId(rs.getString(index));
+        context.setTitle(rs.getString(index + 1));
+        return context;
+
+    }
+    private static OpenaireEntity buildEntity(ResultSet rs, Integer index, String type) throws SQLException {
+        OpenaireEntity openaireEntity = null;
+        if(type == null){
+            openaireEntity = null;
+        }else if(type.equals(ClaimUtils.PUBLICATION)||type.equals(ClaimUtils.DATASET)) {
+            openaireEntity= buildResult(rs, index);
+        }else if(type.equals(ClaimUtils.PROJECT)){
+            openaireEntity = buildProject(rs,index);
+        }else if(type.equals(ClaimUtils.CONTEXT)){
+            openaireEntity = buildContext(rs,index);
+        }
+        return openaireEntity;
+    }
+
+    public SqlDAO getSqlDAO() {
+        return sqlDAO;
+    }
+
+    public void setSqlDAO(SqlDAO sqlDAO) {
+        this.sqlDAO = sqlDAO;
+    }
+
+
+
+}
Index: modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/OafParserTest.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/OafParserTest.java	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/OafParserTest.java	(revision 41791)
@@ -1,8 +1,8 @@
 package eu.dnetlib.data.claims.migration.parser;
 
-import eu.dnetlib.data.claims.migration.Result;
+import eu.dnetlib.data.claims.migration.entity.Result;
 import eu.dnetlib.data.claimsDemo.ClaimUtils;
-import eu.dnetlib.data.claims.migration.Project;
+import eu.dnetlib.data.claims.migration.entity.Project;
 import org.junit.Assert;
 import org.junit.Test;
 import org.xml.sax.SAXException;
@@ -55,9 +55,25 @@
             "                       schemename=\"dnet:pid_types\">orcidworkid_test</pid>\n" +
     "                  <bestlicense classid=\"EMBARGO\" classname=\"Open Access\" schemeid=\"dnet:access_modes\"\n" +
             "                               schemename=\"dnet:access_modes\"/>\n" +
+//            "\t\t                <children>\n" +
+//            "\t\t\t                  <instance id=\"opendoar____::c0f971d8cd24364f2029fcb9ac7b71f5\">\n" +
+//            "\t\t\t                     <licence classid=\"EMBARGO\" classname=\"Open Access\" schemeid=\"dnet:access_modes\"\n" +
+//            "                                 schemename=\"dnet:access_modes\"/>\n" +
+//            "                        <instancetype classid=\"0001\" classname=\"Article\" schemeid=\"dnet:publication_resource\"\n" +
+//            "                                      schemename=\"dnet:publication_resource\"/>\n" +
+//            "                        <hostedby name=\"CyberLeninka - Russian open access scientific library\"\n" +
+//            "                                  id=\"opendoar____::c0f971d8cd24364f2029fcb9ac7b71f5\"/>\n" +
+//            "\t\t\t\t                    <webresource>\n" +
+//            "\t\t\t\t                       <url>http://cyberleninka.ru/article/n/postkonversionnaya-asistoliya-zheludochkov-serdtsa-u-bolnyh-infarktom-miokarda-i-vozmozhnosti-ee-profilaktiki</url>\n" +
+//            "\t\t\t\t                    </webresource>\n" +
+//            "\t\t\t\t                    <webresource>\n" +
+//            "\t\t\t\t                       <url>http://cyberleninka.ru/article_covers/5969541.png</url>\n" +
+//            "\t\t\t\t                    </webresource>\n" +
+//            "\t\t\t                  </instance>\n" +
+//            "\t\t                </children>\n" +
             "\t\t                <children>\n" +
             "\t\t\t                  <instance id=\"opendoar____::c0f971d8cd24364f2029fcb9ac7b71f5\">\n" +
-            "\t\t\t                     <licence classid=\"EMBARGO\" classname=\"Open Access\" schemeid=\"dnet:access_modes\"\n" +
+            "\t\t\t                     <licence classid=\"CLOSED\" classname=\"Open Access\" schemeid=\"dnet:access_modes\"\n" +
             "                                 schemename=\"dnet:access_modes\"/>\n" +
             "                        <instancetype classid=\"0001\" classname=\"Article\" schemeid=\"dnet:publication_resource\"\n" +
             "                                      schemename=\"dnet:publication_resource\"/>\n" +
@@ -64,7 +80,7 @@
             "                        <hostedby name=\"CyberLeninka - Russian open access scientific library\"\n" +
             "                                  id=\"opendoar____::c0f971d8cd24364f2029fcb9ac7b71f5\"/>\n" +
             "\t\t\t\t                    <webresource>\n" +
-            "\t\t\t\t                       <url>http://cyberleninka.ru/article/n/postkonversionnaya-asistoliya-zheludochkov-serdtsa-u-bolnyh-infarktom-miokarda-i-vozmozhnosti-ee-profilaktiki</url>\n" +
+            "\t\t\t\t                       <url>h CLOSED_ACCESS_URL</url>\n" +
             "\t\t\t\t                    </webresource>\n" +
             "\t\t\t\t                    <webresource>\n" +
             "\t\t\t\t                       <url>http://cyberleninka.ru/article_covers/5969541.png</url>\n" +
@@ -84,6 +100,7 @@
     @Test
     public void oaf2PublicationTest() throws Exception, ParserConfigurationException, SAXException, XPathExpressionException, IOException, TransformerException {
         Result result = OafParser.oaf2Result(publicationOaf);
+        System.out.println(result.getExternalUrl());
         Assert.assertNull(result.getAccessRights());
         Assert.assertEquals("EMBARGO",result.getBestLicense());
         Assert.assertEquals("infrastruct_::openaire", result.getCollectedFrom());
Index: modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/DMFParserTest.java
===================================================================
--- modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/DMFParserTest.java	(revision 41790)
+++ modules/uoa-claims -demo/claims-demo/src/test/java/eu/dnetlib/data/claims/migration/parser/DMFParserTest.java	(revision 41791)
@@ -1,12 +1,14 @@
 package eu.dnetlib.data.claims.migration.parser;
 
-import eu.dnetlib.data.claims.migration.Context;
-import eu.dnetlib.data.claims.migration.Result;
+import eu.dnetlib.data.claims.migration.entity.Context;
+import eu.dnetlib.data.claims.migration.entity.Result;
+import eu.dnetlib.data.claims.migration.handler.DMFContextHandler;
 import org.junit.Assert;
 import org.junit.Test;
 import org.xml.sax.SAXException;
 
 import javax.xml.parsers.ParserConfigurationException;
+import javax.xml.xpath.XPathExpressionException;
 import java.io.IOException;
 
 /**
@@ -96,8 +98,9 @@
             "</record>";
 
     @Test
-    public void dmf2ContextTest() throws IOException, SAXException, ParserConfigurationException {
-        Context context = DMFParser.dmf2Context(contextDmf);
+    public void dmf2ContextTest() throws IOException, SAXException, ParserConfigurationException, XPathExpressionException {
+        DMFParser dmfParser= new DMFParser();
+        Context context = DMFContextHandler.fetchContextById(contextDmf);
 
         Assert.assertEquals("egi::country::gr", context.getOpenaireId());
         Assert.assertEquals("EGI> EGI Countries> Greece", context.getTitle());
